Package org.apache.wiki.tasks

# Interface TasksManager

All Known Implementing Classes:
  `DefaultTasksManager`

public interface TasksManager
Manager responsible of creation of the different JSPWiki `Step`s. Instances of classes generated by this TasksManager are assumed to have been added to an approval workflow via `WorkflowBuilder.buildApprovalWorkflow(Principal, String, Step, String, org.apache.wiki.workflow.Fact[], Step, String)`; they will not function correctly otherwise.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`USER_PROFILE_SAVE_TASK_MESSAGE_KEY`
The message key of the text to finally approve a user profile save.
`static final String`
`WIKIPAGE_PRESAVE_TASK_MESSAGE_KEY`
The message key for storing the text for the presave task.
`static final String`
`WIKIPAGE_SAVE_TASK_MESSAGE_KEY`
The message key of the text to finally approve a page save.

## Method Summary

Modifier and Type
Method
Description
`Step`
`buildPreSaveWikiPageTask(String proposedText)`
Builds a pre-save WikiPage task.
`Step`
`buildSaveUserProfileTask(Locale loc)`
Builds a save user profile task.
`Step`
`buildSaveWikiPageTask()`
Builds a save WikiPage task.

## Field Details

### WIKIPAGE_PRESAVE_TASK_MESSAGE_KEY

static final String WIKIPAGE_PRESAVE_TASK_MESSAGE_KEY
The message key for storing the text for the presave task. Value is `"task.preSaveWikiPage"`.

See Also:
  - Constant Field Values

### WIKIPAGE_SAVE_TASK_MESSAGE_KEY

static final String WIKIPAGE_SAVE_TASK_MESSAGE_KEY
The message key of the text to finally approve a page save. Value is `"task.saveWikiPage"`.

See Also:
  - Constant Field Values

### USER_PROFILE_SAVE_TASK_MESSAGE_KEY

static final String USER_PROFILE_SAVE_TASK_MESSAGE_KEY
The message key of the text to finally approve a user profile save. Value is `"task.createUserProfile"`.

See Also:
  - Constant Field Values

## Method Details

### buildPreSaveWikiPageTask

Step buildPreSaveWikiPageTask(String proposedText)
Builds a pre-save WikiPage task.

Parameters:
  `proposedText` - text proposed to be saved on the wiki page.
Returns:
  a pre-save WikiPage task.

### buildSaveWikiPageTask

Step buildSaveWikiPageTask()
Builds a save WikiPage task.

Returns:
  a save WikiPage task.

### buildSaveUserProfileTask

Step buildSaveUserProfileTask(Locale loc)
Builds a save user profile task.

Parameters:
  `loc` - text proposed to be saved on the wiki page.
Returns:
  a save user profile task.